## libonig 6.9.7.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project(oniguruma
  VERSION 6.9.7
  LANGUAGES C)

set(PACKAGE onig)
set(PACKAGE_VERSION ${PROJECT_VERSION})

option(BUILD_SHARED_LIBS "Build shared libraries" ON)
option(ENABLE_POSIX_API  "Include POSIX API" OFF)
option(ENABLE_BINARY_COMPATIBLE_POSIX_API  "Include Binary compatible POSIX API" OFF)
if(MSVC)
  option(MSVC_STATIC_RUNTIME "Build with static runtime" OFF)
endif()

set(USE_CRNL_AS_LINE_TERMINATOR 0)
set(VERSION ${PACKAGE_VERSION})

include(CheckCSourceCompiles)
include(CheckIncludeFiles)
include(CheckFunctionExists)
include(CheckSymbolExists)
include(CheckTypeSize)
include(TestBigEndian)

check_function_exists(alloca HAVE_ALLOCA)
check_include_files(alloca.h HAVE_ALLOCA_H)
check_include_files(stdint.h    HAVE_STDINT_H)
check_include_files(sys/times.h HAVE_SYS_TIMES_H)
check_include_files(sys/time.h  HAVE_SYS_TIME_H)
check_include_files(sys/types.h HAVE_SYS_TYPES_H)
check_include_files(unistd.h    HAVE_UNISTD_H)
check_include_files(inttypes.h  HAVE_INTTYPES_H)
check_type_size(int SIZEOF_INT)
check_type_size(long SIZEOF_LONG)
check_type_size("long long" SIZEOF_LONG_LONG)
check_type_size("void*" SIZEOF_VOIDP)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/config.h.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/oniguruma.pc.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/oniguruma.pc @ONLY)

set(_SRCS src/regint.h src/regparse.h src/regenc.h src/st.h
 src/regerror.c src/regparse.c src/regext.c src/regcomp.c src/regexec.c
 src/reggnu.c src/regenc.c src/regsyntax.c src/regtrav.c src/regversion.c
 src/st.c src/onig_init.c
 src/unicode.c src/ascii.c src/utf8.c src/utf16_be.c src/utf16_le.c
 src/utf32_be.c src/utf32_le.c src/euc_jp.c src/sjis.c src/iso8859_1.c
 src/iso8859_2.c src/iso8859_3.c src/iso8859_4.c src/iso8859_5.c
 src/iso8859_6.c src/iso8859_7.c src/iso8859_8.c src/iso8859_9.c
 src/iso8859_10.c src/iso8859_11.c src/iso8859_13.c src/iso8859_14.c
 src/iso8859_15.c src/iso8859_16.c src/euc_tw.c src/euc_kr.c src/big5.c
 src/gb18030.c src/koi8_r.c src/cp1251.c
 src/euc_jp_prop.c src/sjis_prop.c
 src/unicode_unfold_key.c
 src/unicode_fold1_key.c src/unicode_fold2_key.c src/unicode_fold3_key.c)

set(_INST_HEADERS src/oniguruma.h src/oniggnu.h)

if(ENABLE_POSIX_API OR ENABLE_BINARY_COMPATIBLE_POSIX_API)
  set(_SRCS ${_SRCS} src/regposix.c src/regposerr.c)
  set(_INST_HEADERS ${_INST_HEADERS} src/onigposix.h)
  add_definitions("-DUSE_POSIX_API")
endif()

if(ENABLE_BINARY_COMPATIBLE_POSIX_API)
  add_definitions("-DUSE_BINARY_COMPATIBLE_POSIX_API")
endif()

add_library(onig ${_SRCS})
target_include_directories(onig PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src>
  $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>)

target_compile_definitions(onig PUBLIC
  $<$<NOT:$<BOOL:${BUILD_SHARED_LIBS}>>:ONIG_STATIC>)

if(BUILD_SHARED_LIBS)
  # Parse SOVERSION information from LTVERSION in configure.ac
  file(STRINGS "${CMAKE_CURRENT_SOURCE_DIR}/configure.ac" LTVERSION REGEX "^LTVERSION *= *\"?[0-9]+:[0-9]+:[0-9]+\"?")
  string(REGEX REPLACE "^LTVERSION *= *\"?([0-9]+:[0-9]+:[0-9]+)\"?.*$" "\\1" LTVERSION "${LTVERSION}")
  string(REGEX REPLACE "^([0-9]+):([0-9]+):([0-9]+)" "\\1" LTCURRENT ${LTVERSION})
  string(REGEX REPLACE "^([0-9]+):([0-9]+):([0-9]+)" "\\2" LTREVISION ${LTVERSION})
  string(REGEX REPLACE "^([0-9]+):([0-9]+):([0-9]+)" "\\3" LTAGE ${LTVERSION})
  math(EXPR ONIG_SOVERSION "${LTCURRENT} - ${LTAGE}")
  set_target_properties(onig PROPERTIES
      SOVERSION "${ONIG_SOVERSION}"
      VERSION "${ONIG_SOVERSION}.${LTAGE}.${LTREVISION}")
endif()

if(MSVC)
  target_compile_options(onig PRIVATE
	#/W4
	)
  if(MSVC_STATIC_RUNTIME)
	target_compile_options(onig PRIVATE
	  $<$<CONFIG:Release>:/MT>
	  $<$<CONFIG:Debug>:/MTd>
	  $<$<CONFIG:MinSizeRel>:/MT>
	  $<$<CONFIG:RelWithDebgInfo>:/MTd>
	  )
  endif()
  if(MSVC_VERSION LESS_EQUAL "1800")
    # <= VS2013
    target_compile_definitions(onig PRIVATE
      -Dinline=__inline
      )
  endif()
elseif(CMAKE_COMPILER_IS_GNUCC)
  target_compile_options(onig PRIVATE
	-Wall
	)
endif()


# Installation (https://github.com/forexample/package-example)

# Introduce variables:
# * CMAKE_INSTALL_LIBDIR
# * CMAKE_INSTALL_BINDIR
# * CMAKE_INSTALL_INCLUDEDIR
include(GNUInstallDirs)

# Layout. This works for all platforms:
#   * <prefix>/lib*/cmake/<PROJECT-NAME>
#   * <prefix>/lib*/
#   * <prefix>/include/
set(config_install_dir "${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}")

set(generated_dir "${CMAKE_CURRENT_BINARY_DIR}/generated")

# Configuration
set(version_config "${generated_dir}/${PROJECT_NAME}ConfigVersion.cmake")
set(project_config "${generated_dir}/${PROJECT_NAME}Config.cmake")
set(TARGETS_EXPORT_NAME "${PROJECT_NAME}Targets")
set(namespace "${PROJECT_NAME}::")

# Include module with fuction 'write_basic_package_version_file'
include(CMakePackageConfigHelpers)

# Configure '<PROJECT-NAME>ConfigVersion.cmake'
# Use:
#   * PROJECT_VERSION
write_basic_package_version_file(
    "${version_config}" COMPATIBILITY SameMajorVersion
)

# Configure '<PROJECT-NAME>Config.cmake'
# Use variables:
#   * TARGETS_EXPORT_NAME
#   * PROJECT_NAME
configure_package_config_file(
    "cmake/Config.cmake.in"
    "${project_config}"
    INSTALL_DESTINATION "${config_install_dir}"
)

# Targets:
#   * <prefix>/lib/libonig.a
#   * header location after install: <prefix>/include/
#   * headers can be included by C code `#include <oniguruma.h>`
install(
    TARGETS onig
    EXPORT "${TARGETS_EXPORT_NAME}"
    LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
    INCLUDES DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}"
)

# Headers:
#   * src/oniguruma.h -> <prefix>/include/oniguruma
install(
    FILES ${_INST_HEADERS}
    DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}"
)

# Config
#   * <prefix>/lib/cmake/oniguruma/onigurumaConfig.cmake
#   * <prefix>/lib/cmake/oniguruma/onigurumaConfigVersion.cmake
install(
    FILES "${project_config}" "${version_config}"
    DESTINATION "${config_install_dir}"
)

# Config
#   * <prefix>/lib/cmake/oniguruma/onigurumaTargets.cmake
install(
    EXPORT "${TARGETS_EXPORT_NAME}"
    NAMESPACE "${namespace}"
    DESTINATION "${config_install_dir}"
)

# Documentation (uses onig not oniguruma for directory)
install(FILES doc/API doc/API.ja doc/RE doc/RE.ja doc/FAQ doc/FAQ.ja
              doc/CALLOUTS.BUILTIN doc/CALLOUTS.BUILTIN.ja
              doc/CALLOUTS.API doc/CALLOUTS.API.ja
              doc/UNICODE_PROPERTIES
        DESTINATION "${CMAKE_INSTALL_DATADIR}/${PACKAGE}")

# Other files (uses onig not oniguruma for directory)
install(FILES AUTHORS COPYING HISTORY README.md
        DESTINATION "${CMAKE_INSTALL_DATADIR}/${PACKAGE}")

# pkg-config
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/oniguruma.pc
        DESTINATION lib/pkgconfig)

=== debian/changelog ===
libonig (6.9.7.1-2build1) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 13:14:10 +0100

libonig (6.9.7.1-2) unstable; urgency=medium

  * Upload into unstable.
  * Declare compliance with Debian Policy 4.6.0 (No changes needed).

 -- Jörg Frings-Fürst <debian@jff.email>  Wed, 18 Aug 2021 21:54:59 +0200

libonig (6.9.7.1-1) experimental; urgency=medium

  * New upstream release.
    - Refresh symbols file.
  * Declare compliance with Debian Policy 4.5.1 (No changes needed).

 -- Jörg Frings-Fürst <debian@jff.email>  Mon, 26 Apr 2021 18:07:46 +0200

=== debian/control ===
Source: libonig
Section: libs
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff.email>
Build-Depends:
 debhelper-compat (= 13)
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/kkos/oniguruma
Vcs-Git: git://jff.email/opt/git/libonig.git
Vcs-Browser: https://jff.email/cgit/libonig.git

Package: libonig5
Priority: optional
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Pre-Depends:
 ${misc:Pre-Depends}
Description: regular expressions library
 Oniguruma is a library for working with regular expressions.
 .
 Different character encoding for every regular expression object can
 be specified.

Package: libonig-dev
Section: libdevel
Priority: optional
Architecture: any
Depends:
 ${misc:Depends},
 libonig5 (= ${binary:Version})
Description: regular expressions library — development files
 Oniguruma is a library for working with regular expressions.
 .
 Different character encoding for every regular expression object can
 be specified.
 .
 This package provides development files and static libraries.

## libonig 6.9.8

=== debian/changelog ===
libonig (6.9.8-1) unstable; urgency=medium

  * New Upstream release.
    - Remove upstream applied patches:
      + 0100-source_typos.patch
  * debian/copyright:
    - Add year 2022 to myself.

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 30 Apr 2022 10:37:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libonig
 Section: libs
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff.email>
+Maintainer: Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
  debhelper-compat (= 13)
 Standards-Version: 4.6.0

## libonig 6.9.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.1)
 project(oniguruma
-  VERSION 6.9.7
+  VERSION 6.9.9
   LANGUAGES C)
 
 set(PACKAGE onig)
@@ -9,6 +9,10 @@
 option(BUILD_SHARED_LIBS "Build shared libraries" ON)
 option(ENABLE_POSIX_API  "Include POSIX API" OFF)
 option(ENABLE_BINARY_COMPATIBLE_POSIX_API  "Include Binary compatible POSIX API" OFF)
+option(ENABLE_STATISTICS  "Include statistics API" OFF)
+option(INSTALL_DOCUMENTATION "Install documentation" ON)
+option(INSTALL_EXAMPLES "Install examples" OFF)
+option(BUILD_TEST "Build tests" ON)
 if(MSVC)
   option(MSVC_STATIC_RUNTIME "Build with static runtime" OFF)
 endif()
@@ -23,7 +27,6 @@
 include(CheckTypeSize)
 include(TestBigEndian)
 
-check_function_exists(alloca HAVE_ALLOCA)
 check_include_files(alloca.h HAVE_ALLOCA_H)
 check_include_files(stdint.h    HAVE_STDINT_H)
 check_include_files(sys/times.h HAVE_SYS_TIMES_H)
@@ -36,9 +39,13 @@
 check_type_size("long long" SIZEOF_LONG_LONG)
 check_type_size("void*" SIZEOF_VOIDP)
 
+if(HAVE_ALLOCA_H)
+  check_symbol_exists(alloca "alloca.h" HAVE_ALLOCA)
+else()
+  check_symbol_exists(alloca "stdlib.h;malloc.h" HAVE_ALLOCA)
+endif()
+
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/config.h.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)
-
-configure_file(${CMAKE_CURRENT_SOURCE_DIR}/oniguruma.pc.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/oniguruma.pc @ONLY)
 
 set(_SRCS src/regint.h src/regparse.h src/regenc.h src/st.h
  src/regerror.c src/regparse.c src/regext.c src/regcomp.c src/regexec.c
@@ -65,6 +72,10 @@
 
 if(ENABLE_BINARY_COMPATIBLE_POSIX_API)
   add_definitions("-DUSE_BINARY_COMPATIBLE_POSIX_API")
+endif()
+
+if(ENABLE_STATISTICS)
+  add_definitions("-DONIG_DEBUG_STATISTICS")
 endif()
 
 add_library(onig ${_SRCS})
@@ -135,7 +146,7 @@
 set(TARGETS_EXPORT_NAME "${PROJECT_NAME}Targets")
 set(namespace "${PROJECT_NAME}::")
 
-# Include module with fuction 'write_basic_package_version_file'
+# Include module with function 'write_basic_package_version_file'
 include(CMakePackageConfigHelpers)
 
 # Configure '<PROJECT-NAME>ConfigVersion.cmake'
@@ -155,8 +166,14 @@
     INSTALL_DESTINATION "${config_install_dir}"
 )
 
+if(CMAKE_INSTALL_LIBDIR MATCHES "^/")
+    set(onig_pkgconfig_libdir "${CMAKE_INSTALL_LIBDIR}")
+else()
+    set(onig_pkgconfig_libdir "\${exec_prefix}/${CMAKE_INSTALL_LIBDIR}")
+endif()
+
 # Targets:
-#   * <prefix>/lib/libonig.a
+#   * <prefix>/lib*/libonig.a
 #   * header location after install: <prefix>/include/
 #   * headers can be included by C code `#include <oniguruma.h>`
 install(
@@ -176,15 +193,15 @@
 )
 
 # Config
-#   * <prefix>/lib/cmake/oniguruma/onigurumaConfig.cmake
-#   * <prefix>/lib/cmake/oniguruma/onigurumaConfigVersion.cmake
+#   * <prefix>/lib*/cmake/oniguruma/onigurumaConfig.cmake
+#   * <prefix>/lib*/cmake/oniguruma/onigurumaConfigVersion.cmake
 install(
     FILES "${project_config}" "${version_config}"
     DESTINATION "${config_install_dir}"
 )
 
 # Config
-#   * <prefix>/lib/cmake/oniguruma/onigurumaTargets.cmake
+#   * <prefix>/lib*/cmake/oniguruma/onigurumaTargets.cmake
 install(
     EXPORT "${TARGETS_EXPORT_NAME}"
     NAMESPACE "${namespace}"
@@ -192,16 +209,45 @@
 )
 
 # Documentation (uses onig not oniguruma for directory)
+if(INSTALL_DOCUMENTATION)
 install(FILES doc/API doc/API.ja doc/RE doc/RE.ja doc/FAQ doc/FAQ.ja
               doc/CALLOUTS.BUILTIN doc/CALLOUTS.BUILTIN.ja
               doc/CALLOUTS.API doc/CALLOUTS.API.ja
               doc/UNICODE_PROPERTIES
-        DESTINATION "${CMAKE_INSTALL_DATADIR}/${PACKAGE}")
+        DESTINATION "${CMAKE_INSTALL_DATADIR}/doc/${PACKAGE}")
 
 # Other files (uses onig not oniguruma for directory)
 install(FILES AUTHORS COPYING HISTORY README.md
-        DESTINATION "${CMAKE_INSTALL_DATADIR}/${PACKAGE}")
+        DESTINATION "${CMAKE_INSTALL_DATADIR}/doc/${PACKAGE}")
+endif()
+
+# Examples
+if(INSTALL_EXAMPLES)
+install(FILES sample/bug_fix.c sample/callback_each_match.c
+              sample/callout.c sample/count.c sample/echo.c
+              sample/encode.c sample/listcap.c
+              sample/names.c sample/posix.c sample/regset.c
+              sample/scan.c sample/simple.c sample/sql.c
+              sample/syntax.c sample/user_property.c
+        DESTINATION "${CMAKE_INSTALL_DATADIR}/examples/${PACKAGE}")
+endif()
 
 # pkg-config
+
+configure_file(${CMAKE_CURRENT_SOURCE_DIR}/oniguruma.pc.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/oniguruma.pc @ONLY)
+
+configure_file(${CMAKE_CURRENT_SOURCE_DIR}/onig-config.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/onig-config @ONLY)
+
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/oniguruma.pc
-        DESTINATION lib/pkgconfig)
+        DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
+
+install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/onig-config
+        DESTINATION "${CMAKE_INSTALL_BINDIR}")
+
+# Test
+if(BUILD_TEST)
+  add_subdirectory(test)
+  if(CMAKE_COMPILER_IS_GNUCC)
+    add_subdirectory(windows)
+  endif()
+endif(BUILD_TEST)

=== debian/changelog ===
libonig (6.9.9-1) unstable; urgency=medium

  * New upstream release.
  * Add missing head lines to debian/copyright (Thanks to Phil Wyett).

 -- Jörg Frings-Fürst <debian@jff.email>  Fri, 15 Dec 2023 13:59:12 +0100

libonig (6.9.8-2) unstable; urgency=medium

  * debian/rules:
    - Fix Fails to build source after successful build (Closes: #1047845).
  * Declare compliance with Debian Policy 4.6.2 (No changes needed).
  * debian/copyright:
    - Add year 2023 to myself.
  * debian/control:
    - Change to new repository URL.

 -- Jörg Frings-Fürst <debian@jff.email>  Mon, 14 Aug 2023 14:33:07 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
  debhelper-compat (= 13)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2.0
 Rules-Requires-Root: no
 Homepage: https://github.com/kkos/oniguruma
-Vcs-Git: git://jff.email/opt/git/libonig.git
-Vcs-Browser: https://jff.email/cgit/libonig.git
+Vcs-Git: git://git.jff.email/libonig.git
+Vcs-Browser: https://git.jff.email/cgit/libonig.git
 
 Package: libonig5
 Priority: optional

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g;s/\_/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|oniguruma|ONIGURUMA)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/oniguruma-$1.$2/ \
https://github.com/kkos/oniguruma/tags \
(?:.*?/)?(?:rel|v|oniguruma|ONIGURUMA)?[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## libonig 6.9.10

=== debian/changelog ===
libonig (6.9.10-1) unstable; urgency=medium

  * New upstream release:
    - Fixes build failure with GCC 15 (C23) (Closes: #1097239).
    - Refresh symbols file accordingly.
  * Declare compliance with Debian Policy 4.7.2 (No changes needed).
  * debian/copyright:
    - Add year 2025 to myself.
    - Add year 2024 to K.Kosako.
    - Rewrite to make lrc happy.
    - Fix old FSF address.
  * debian/control:
    - Change Vcs-Git from git: to https:.
  * Remove obsolate debian/patches/0100-source_typos.patch.

 -- Jörg Frings-Fürst <debian@jff.email>  Thu, 11 Sep 2025 19:08:56 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
  debhelper-compat (= 13)
-Standards-Version: 4.6.2.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/kkos/oniguruma
-Vcs-Git: git://git.jff.email/libonig.git
+Vcs-Git: https://git.jff.email/cgit/libonig.git
 Vcs-Browser: https://git.jff.email/cgit/libonig.git
 
 Package: libonig5

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#
# Test for gcc-10 support
#
#export CC=gcc-10
#export CXX=g++-10

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

VERSION = $(shell head -n1 debian/changelog | sed -e 's/.*(//;s/-.*).*//;s/\+/\-/')

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-binary-compatible-posix-api=yes

override_dh_install:
	$(RM) debian/tmp/usr/bin/onig-config
	$(RM) debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/libonig.a
	$(RM) debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/libonig.la
	dh_install -X.la -X.a

override_dh_makeshlibs:
	dh_makeshlibs
	dpkg-gensymbols -v$(VERSION) -plibonig5

override_dh_auto_clean:
	dh_auto_clean
	$(RM) $(CURDIR)/oniguruma.pc
